<?php

/**
 * ConfigKeysHelper Class
 * All configs/values/fields used in this module
 */
class ConfigKeysHelper extends AbstractType
{
    /* Legacy fields, that are no longer used but will be removed during update of plugin */
    const CONF_ESTO_FIXED = 'CONF_ESTO_FIXED';
    const CONF_ESTO_VAR = 'CONF_ESTO_VAR';
    const CONF_ESTO_FIXED_FOREIGN = 'CONF_ESTO_FIXED_FOREIGN';
    const CONF_ESTO_VAR_FOREIGN = 'CONF_ESTO_VAR_FOREIGN';

    const ESTO_SHOP_ID_EE = 'ESTO_SHOP_ID_EE';
    const ESTO_SECRET_KEY_EE = 'ESTO_SECRET_KEY_EE';
    const ESTO_SHOP_ID_LV = 'ESTO_SHOP_ID_LV';
    const ESTO_SECRET_KEY_LV = 'ESTO_SECRET_KEY_LV';
    const ESTO_SHOP_ID_LT = 'ESTO_SHOP_ID_LT';
    const ESTO_SECRET_KEY_LT = 'ESTO_SECRET_KEY_LT';
    const ESTO_CREATE_ORDER = 'ESTO_CREATE_ORDER';
    const ESTO_COUNTRY = 'ESTO_COUNTRY';
    const ESTO_SHOW_CHECKOUT_LOGO = 'ESTO_SHOW_CHECKOUT_LOGO';
    const ESTO_CONNECTION_MODE = 'ESTO_CONNECTION_MODE';
    const ESTO_MIN_ORDER_AMOUNT = 'ESTO_MIN_ORDER_AMOUNT';
    const ESTO_MAX_ORDER_AMOUNT=  'ESTO_MAX_ORDER_AMOUNT';
    const ESTO_MONTHLY_ENABLED_enable_estomonthly = 'ESTO_MONTHLY_ENABLED_enable_estomonthly';
    const ESTO_MONTHLY_URL = 'ESTO_MONTHLY_URL';
    const ESTO_MONTHLY_DESCRIPTION = 'ESTO_MONTHLY_DESCRIPTION';
    const ESTO_CHECKOUT_LOGO = 'ESTO_CHECKOUT_LOGO';
    const ESTO_MONTHLY_LOGO = 'ESTO_MONTHLY_LOGO';
    const ESTO_X_IS_ACTIVE = 'ESTO_X_IS_ACTIVE';
    const ESTO_X_MIN_ORDER_AMOUNT = 'ESTO_X_MIN_ORDER_AMOUNT';
    const ESTO_X_MAX_ORDER_AMOUNT = 'ESTO_X_MAX_ORDER_AMOUNT';
    const ESTO_X_CHECKOUT_LOGO = 'ESTO_X_CHECKOUT_LOGO';
    const ESTO_X_CHECKOUT_CALC = 'ESTO_X_CHECKOUT_CALC';
    const ESTO_PAY_LATER_IS_ACTIVE = 'ESTO_PAY_LATER_IS_ACTIVE';
    const ESTO_PAY_LATER_MIN_ORDER_AMOUNT = 'ESTO_PAY_LATER_MIN_ORDER_AMOUNT';
    const ESTO_PAY_LATER_MAX_ORDER_AMOUNT= 'ESTO_PAY_LATER_MAX_ORDER_AMOUNT';
    const ESTO_PAY_LATER_CHECKOUT_LOGO = 'ESTO_PAY_LATER_CHECKOUT_LOGO';
    const ESTO_PAY_IS_ACTIVE = 'ESTO_PAY_IS_ACTIVE';
    const ESTO_PAY_CHECKOUT_LOGO = 'ESTO_PAY_CHECKOUT_LOGO';
    const ESTO_PAY_CARD_PAYMENT_IS_ACTIVE = 'ESTO_PAY_CARD_PAYMENT_IS_ACTIVE';
    const ESTO_PAY_CARD_PAYMENT_CHECKOUT_LOGO = 'ESTO_PAY_CARD_PAYMENT_CHECKOUT_LOGO';
    const ESTO_USE_SPECIFIC_ENDPOINT_EE = 'ESTO_USE_SPECIFIC_ENDPOINT_EE';
    const ESTO_USE_SPECIFIC_ENDPOINT_LV = 'ESTO_USE_SPECIFIC_ENDPOINT_LV';
    const ESTO_USE_SPECIFIC_ENDPOINT_LT = 'ESTO_USE_SPECIFIC_ENDPOINT_LT';
    const ESTO_MONTHLY_ENABLED_LANGS_id = 'ESTO_MONTHLY_ENABLED_LANGS_id';
    const ESTO_CHECKOUT_LOGO_DELETE_delete = 'ESTO_CHECKOUT_LOGO_DELETE_delete';
    const ESTO_X_CHECKOUT_LOGO_DELETE = 'ESTO_X_CHECKOUT_LOGO_DELETE';
    const ESTO_PAY_LATER_CHECKOUT_LOGO_DELETE = 'ESTO_PAY_LATER_CHECKOUT_LOGO_DELETE';
    const ESTO_PAY_CHECKOUT_LOGO_DELETE = 'ESTO_PAY_CHECKOUT_LOGO_DELETE';
    const ESTO_DISPLAY_NAME = 'ESTO_DISPLAY_NAME';
    const ESTO_DISPLAY_DESCRIPTION = 'ESTO_DISPLAY_DESCRIPTION';
    const ESTO_X_DISPLAY_NAME = 'ESTO_X_DISPLAY_NAME';
    const ESTO_X_DISPLAY_DESCRIPTION = 'ESTO_X_DISPLAY_DESCRIPTION';
    const ESTO_PAY_LATER_DISPLAY_NAME = 'ESTO_PAY_LATER_DISPLAY_NAME';
    const ESTO_PAY_LATER_DISPLAY_DESCRIPTION = 'ESTO_PAY_LATER_DISPLAY_DESCRIPTION';
    const ESTO_PAY_DISPLAY_NAME = 'ESTO_PAY_DISPLAY_NAME';
    const ESTO_PAY_DISPLAY_DESCRIPTION = 'ESTO_PAY_DISPLAY_DESCRIPTION';
    const ESTO_PAY_CARD_PAYMENT_DISPLAY_NAME = 'ESTO_PAY_CARD_PAYMENT_DISPLAY_NAME';
    const ESTO_PAY_CARD_PAYMENT_DISPLAY_DESCRIPTION = 'ESTO_PAY_CARD_PAYMENT_DISPLAY_DESCRIPTION';
    const ESTO_USE_SPECIFIC_ENDPOINT = 'ESTO_USE_SPECIFIC_ENDPOINT';
    const ESTO_MONTHLY_ENABLED_LANGS = 'ESTO_MONTHLY_ENABLED_LANGS';
    const ESTO_CHECKOUT_LOGO_DELETE = 'ESTO_CHECKOUT_LOGO_DELETE';
    const ESTO_MONTHLY_ENABLED = 'ESTO_MONTHLY_ENABLED';
    const ESTO_MONTHLY_LOGO_DELETE = 'ESTO_MONTHLY_LOGO_DELETE';
    const ESTO_PAY_CARD_PAYMENT_CHECKOUT_LOGO_DELETE = 'ESTO_PAY_CARD_PAYMENT_CHECKOUT_LOGO_DELETE';
    const ESTO_SHOP_ID = 'ESTO_SHOP_ID';
    const ESTO_SECRET_KEY = 'ESTO_SECRET_KEY';
    const PS_OS_PAYMENT = 'PS_OS_PAYMENT';
    const PS_OS_CANCELED = 'PS_OS_CANCELED';
    const PS_ORDER_PROCESS_TYPE = 'PS_ORDER_PROCESS_TYPE';
}
