
<p class="payment_module esto">
    {if $estoPayment == 'ESTO_PAY'}
        <a href="javascript:void(0)" class="esto-data-url" title="{$callToActionText}" data-esto-url="{$urlToController|escape:'html'}">
            {if $show_logo}
                <img src="{$logo}" alt="{$callToActionText}"/>
            {/if}
            {$callToActionText} <span>({$additionalInformation})</span>
        </a>
        {$html_banks nofilter}
    {elseif 'ESTO_X' === $estoPayment}
        <a href="{$urlToController|escape:'html'}" title="{$callToActionText}" id='esto-x'>
            {if $show_logo}
                <img src="{$logo}" alt="{$callToActionText}"/>
            {/if}
            {$callToActionText} <span>({$additionalInformation})</span>
            {if $show_esto_x_checkout}
                <span class='x-calc-question'>?</span>
            {/if}
        </a>
    {else}
        <a href="{$urlToController|escape:'html'}" title="{$callToActionText}">
            {if $show_logo}
                <img src="{$logo}" alt="{$callToActionText}"/>
            {/if}
            {$callToActionText} <span>({$additionalInformation})</span>
        </a>
    {/if}
</p>


{if $estoPayment === 'ESTO_X'}
    {if $show_esto_x_checkout}
        <!-- X Calculator PopUp  -->
        <div id="x-calc-popup" class="x-calc-popup">
            {$html_esto_x_calc nofilter}
            <script>
                // Open pop-up section and prevent redirection to payment.
                $('#esto-x').on('click', function (e) {
                    if ($(e.target).is('.x-calc-question')) {
                        e.preventDefault();
                        $('#x-calc-popup').css('display', 'block');
                    }
                });

                // Hide pop-up if clicked outside of block.
                $('#x-calc-popup').on('click', function (e) {
                    if ($(e.target).is('#x-calc-popup')) {
                        $('#x-calc-popup').css('display', 'none');
                    }
                });

                // Hide pop-up if close button is triggered.
                $('.popup-button-wrapper').on('click', function (e) {
                    $('#x-calc-popup').css('display', 'none');
                });
            </script>
        </div>
    {/if}
{/if}