<div class="est-banks-block" style="display: none">
    <br/>
    <div class="row">
        <div class="col-sm-1 col-xs-1"><b>{l s='Country' mod='esto'}:</b></div>
        <div class="col-sm-11 col-xs-11">
            <select name="esto-countries-for-banks" id="esto-countries-for-banks">
                {foreach from=$estocountries_for_banks key=k item=v}
                <option value="{$v}" {if $estodefault_country == $v}selected="selected"{/if}>{$k|capitalize}</option>
                {/foreach}
            </select>
        </div>
    </div>
    <br/>
        {foreach from=$estodata_banks key=k item=v}
        <div class="row esto-list-banks" id="esto-country-{$k}" {if $estodefault_country != $k}style="display:none"{/if}>
            {foreach from=$v item=bank}
                <div class="col-sm-3 col-xs-3">
                    <label class="esto-bank-label" data-value="{$bank["key"]}" data-type="{$bank["type"]}"
                           data-country-code="{$bank["country_code"]}">
                        <img src="{$bank["logo_url"]}" alt="{$bank["name"]}" class="esto-img-responsive"/>
                    </label>

                </div>
            {/foreach}
        </div>
        {/foreach}
    <br/>
</div>
<script type="text/javascript">
    $('.esto-data-url').click(function() {
        $('.est-banks-block').toggle();
    });


    $( "#esto-countries-for-banks" ).change(function() {
        var country_esto = $(this).val();
        $('.esto-list-banks').css('display','none');
        $('#esto-country-'+country_esto).css('display','inline-block');

    });

    $( '.esto-bank-label' ).click(function() {

            $("#esto-country-"+$( "#esto-countries-for-banks").val()+" label").each(function() {
                $(this).removeClass('esto-selected');
            });

            $(this).addClass('esto-selected');
            var esto_bank = $(this).data('value');
            var esto_bank_type = $(this).data('type');
            var esto_bank_country_code = $(this).data('country-code');
            var esto_a = $('a.esto-data-url').data('esto-url');
            esto_a = esto_a.replace(/&esto-type.*/g, '');
            var new_esto_form_action = esto_a+'&esto-type='+esto_bank_type+'&esto-bank='+esto_bank+'&esto-bank-country-code='+esto_bank_country_code;
            window.location.href=new_esto_form_action;

    });

</script>
